/**
 * @description Wrap表单配置信息
 */
export default function (wrap) {
  let menulist = sessionStorage.getItem('appMenus')

  if (menulist) {
    try {
      menulist = JSON.parse(menulist)
    } catch (e) {
      menulist = []
    }
  } else {
    menulist = []
  }

  const topbarWrapForm = [
    {
      type: 'radio',
      field: 'type',
      label: '类型',
      initval: wrap.type || 'navbar',
      required: false,
      options: [
        {value: 'navbar', label: '导航栏'},
        {value: 'search', label: '搜索栏'},
      ],
      controlFields: [
        {field: 'search', values: ['navbar']},
      ]
    },
    {
      type: 'text',
      field: 'title',
      label: '标题',
      initval: wrap.title || '',
      tooltip: '使用搜索栏时，标题用于搜索条件隐藏时显示。',
      required: false
    },
    {
      type: 'radio',
      field: 'back',
      label: '返回',
      initval: wrap.back || 'true',
      required: false,
      options: [
        {value: 'true', label: '显示'},
        {value: 'false', label: '隐藏'},
      ]
    },
    {
      type: 'radio',
      field: 'search',
      label: '搜索',
      initval: wrap.search || 'false',
      required: false,
      options: [
        {value: 'true', label: '显示'},
        {value: 'false', label: '隐藏'},
      ]
    },
    {
      type: 'radio',
      field: 'logout',
      label: '退出',
      initval: wrap.logout || 'false',
      tooltip: '点击退出时，返回第一个页面。',
      required: false,
      options: [
        {value: 'true', label: '显示'},
        {value: 'false', label: '隐藏'},
      ]
    },
    {
      type: 'radio',
      field: 'scan',
      label: '扫一扫',
      initval: wrap.scan || 'false',
      tooltip: '系统功能：1、扫码登录，二维码信息以“login”开头，2、页面跳转，二维码信息以“url”开头',
      required: false,
      options: [
        {value: 'true', label: '显示'},
        {value: 'false', label: '隐藏'},
      ],
      controlFields: [
        {field: 'linkmenu', values: ['true']},
      ]
    },
    {
      type: 'radio',
      field: 'refresh',
      label: '刷新',
      initval: wrap.refresh || 'false',
      required: false,
      options: [
        {value: 'true', label: '显示'},
        {value: 'false', label: '隐藏'},
      ]
    },
    {
      type: 'select',
      field: 'linkmenu',
      label: '关联菜单',
      initval: wrap.linkmenu || '',
      tooltip: '使用扫码登录功能时的跳转页面，不使用扫码登录可忽略。',
      required: false,
      options: menulist
    },
  ]

  return topbarWrapForm
} 